barnestr

## Class Controller

- java.lang.Object
- - barnestr.Controller

All Implemented Interfaces:
  javafx.fxml.Initializable

    public class Controller
    extends java.lang.Object
    implements javafx.fxml.Initializable

The controller that handles all of the UI components of the Main window

Author:
  Trevor Barnes

### Constructor Summary

Constructors
Constructor and Description
`Controller()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `errorAlert(java.lang.String header, java.lang.String content)` Shows an ERROR type alert with passed in header and content strings
`void` `initialize(java.net.URL location, java.util.ResourceBundle resources)` Initializes the logger file
`void` `setKernelController(KernelController kernelController)` Sets the controller for the kernel window to be able to be accessed
`void` `setKernelStage(javafx.stage.Stage kernelStage)` Sets the kernel stage to be able to be opened

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Controller

    public Controller()

### Method Detail

#### setKernelStage

    public void setKernelStage(javafx.stage.Stage kernelStage)

Sets the kernel stage to be able to be opened

Parameters:
  `kernelStage` - the stage for the kernel window

#### setKernelController

    public void setKernelController(KernelController kernelController)

Sets the controller for the kernel window to be able to be accessed

Parameters:
  `kernelController` - the controller for the kernel window

#### errorAlert

    public static void errorAlert(java.lang.String header,
                                  java.lang.String content)

Shows an ERROR type alert with passed in header and content strings

Parameters:
  `header` - the header string for the Alert
  `content` - the content string for the Alert

#### initialize

    public void initialize(java.net.URL location,
                           java.util.ResourceBundle resources)

Initializes the logger file

Specified by:
  `initialize` in interface `javafx.fxml.Initializable`
Parameters:
  `location` - location URL
  `resources` - resources ResourceBundle